Bug 19716 - Add option to send header line for CSV output with runreport.pl
Summary: Add option to send header line for CSV output with runreport.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-29 20:20 UTC by Kyle M Hall
Modified: 2018-03-26 12:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19716 - Add option to send header line for CSV output (1.97 KB, patch)
2017-11-29 20:21 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19716 - Add option to send header line for CSV output (2.03 KB, patch)
2017-12-01 21:09 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 19716 - Add option to send header line for CSV output (2.09 KB, patch)
2018-03-09 11:21 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-11-29 20:20:06 UTC
Currently, if outputting a CSV file using runreport.pl, you need to look at the report used to know what each column means. It would be nice if we could include column headers.
Comment 1 Kyle M Hall 2017-11-29 20:21:54 UTC
Created attachment 69424 [details] [review]
Bug 19716 - Add option to send header line for CSV output

Currently, if outputting a CSV file using runreport.pl, you need to look at the report used to know what each column means. It would be nice if we could include column headers.

Test Plan:
1) Apply this patch
2) Try using runreport.pl with --format csv --csv-header
Comment 2 David Bourgault 2017-12-01 21:09:37 UTC
Created attachment 69460 [details] [review]
Bug 19716 - Add option to send header line for CSV output

Currently, if outputting a CSV file using runreport.pl, you need to look at the report used to know what each column means. It would be nice if we could include column headers.

Test Plan:
1) Apply this patch
2) Try using runreport.pl with --format csv --csv-header

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>
Comment 3 Julian Maurice 2018-03-09 11:21:34 UTC
Created attachment 72560 [details] [review]
Bug 19716 - Add option to send header line for CSV output

Currently, if outputting a CSV file using runreport.pl, you need to look at the report used to know what each column means. It would be nice if we could include column headers.

Test Plan:
1) Apply this patch
2) Try using runreport.pl with --format csv --csv-header

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Jonathan Druart 2018-03-23 15:36:05 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-03-26 12:03:05 UTC
Enhancement, not backported for 17.11